AWS SDK Version 2 for .NET
API Reference

AWS services or capabilities described in AWS Documentation may vary by region/location. Click Getting Started with Amazon AWS to see specific differences applicable to the China (Beijing) Region.

.NET Framework 4.5
 
Enables ingress to a DBSecurityGroup using one of two forms of authorization. First, EC2 or VPC security groups can be added to the DBSecurityGroup if the application using the database is running on EC2 or VPC instances. Second, IP ranges are available if the application accessing your database is running on the Internet. Required parameters for this API are one of CIDR range, EC2SecurityGroupId for VPC, or (EC2SecurityGroupOwnerId and either EC2SecurityGroupName or EC2SecurityGroupId for non-VPC). You cannot authorize ingress from an EC2 security group in one region to an Amazon RDS DB instance in another. You cannot authorize ingress from a VPC security group in one VPC to an Amazon RDS DB instance in another.

For an overview of CIDR ranges, go to the Wikipedia Tutorial.

Namespace: Amazon.RDS
Assembly: AWSSDK.dll
Version: (assembly version)

Syntax

C#
public abstract AuthorizeDBSecurityGroupIngressResponse AuthorizeDBSecurityGroupIngress(
         AuthorizeDBSecurityGroupIngressRequest request
)

Parameters

request
Type: Amazon.RDS.Model.AuthorizeDBSecurityGroupIngressRequest

Container for the necessary parameters to execute the AuthorizeDBSecurityGroupIngress service method.

Return Value
Type: Amazon.RDS.Model.AuthorizeDBSecurityGroupIngressResponse
The response from the AuthorizeDBSecurityGroupIngress service method, as returned by RDS.

Exceptions

ExceptionCondition
AuthorizationAlreadyExistsException The specified CIDRIP or EC2 security group is already authorized for the specified DB security group.
AuthorizationQuotaExceededException DB security group authorization quota has been reached.
DBSecurityGroupNotFoundException DBSecurityGroupName does not refer to an existing DB security group.
InvalidDBSecurityGroupStateException The state of the DB security group does not allow deletion.

Version Information

.NET Framework:
Supported in: 4.5, 4.0, 3.5